import { FsRemoteStorage } from "../d";
export default class TableStore {
    remoteStorage?: FsRemoteStorage;
    $router: any;
    tableName: string;
    keyType: string | boolean;
    id?: string;
    constructor(opts: {
        $router: any;
        tableName: string;
        keyType: string | boolean;
        remoteStorage: FsRemoteStorage;
        id?: string;
    });
    getTableId(): string;
    getTable(): Promise<any>;
    saveTable(table: any): Promise<void>;
    clearTable(): Promise<void>;
    updateTableValue(value: any, key?: string): Promise<void>;
    getItemKey(): string;
    getTableValue(key?: string): Promise<any>;
    clearTableValue(key?: string): Promise<void>;
}
